Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
tove 08/06/09 10:37:55
Modified: imapsync-1.217.ebuild ChangeLog
Log:
Add Digest-HMAC to RDEPEND (#225089). Don't run imapsync during installation to minimize DEPEND
(Portage version: 2.1.5.4)
Revision Changes Path
1.2 net-mail/imapsync/imapsync-1.217.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-mail/imapsync/imapsync-1.217.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-mail/imapsync/imapsync-1.217.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-mail/imapsync/imapsync-1.217.ebuild?r1=1.1&r2=1.2
Index: imapsync-1.217.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-mail/imapsync/imapsync-1.217.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- imapsync-1.217.ebuild 1 Apr 2007 17:51:53 -0000 1.1
+++ imapsync-1.217.ebuild 9 Jun 2008 10:37:55 -0000 1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/imapsync/imapsync-1.217.ebuild,v 1.1 2007/04/01 17:51:53 ticho Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-mail/imapsync/imapsync-1.217.ebuild,v 1.2 2008/06/09 10:37:55 tove Exp $
inherit eutils
@@ -13,17 +13,28 @@
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
-DEPEND=">=dev-perl/Mail-IMAPClient-2.1.4"
-
+DEPEND="dev-lang/perl"
RDEPEND="${DEPEND}
virtual/perl-Digest-MD5
dev-perl/Net-SSLeay
virtual/perl-MIME-Base64
dev-perl/TermReadKey
- dev-perl/IO-Socket-SSL"
+ dev-perl/IO-Socket-SSL
+ dev-perl/Digest-HMAC
+ >=dev-perl/Mail-IMAPClient-2.1.4"
RESTRICT="test"
+src_unpack() {
+ unpack ${A}
+ sed -i -e "s/^install: testp/install:/" \
+ -e "s/^\(all: ChangeLog README\) VERSION/\1/" "${S}"/Makefile || die
+}
+
+src_compile() {
+ emake all || die
+}
+
src_install() {
make DESTDIR="${D}" install || die "make failed"
dodoc CREDITS ChangeLog FAQ README TODO || die "dodoc failed"
1.18 net-mail/imapsync/ChangeLog
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-mail/imapsync/ChangeLog?rev=1.18&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-mail/imapsync/ChangeLog?rev=1.18&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-mail/imapsync/ChangeLog?r1=1.17&r2=1.18
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-mail/imapsync/ChangeLog,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -r1.17 -r1.18
--- ChangeLog 30 Aug 2007 12:03:25 -0000 1.17
+++ ChangeLog 9 Jun 2008 10:37:55 -0000 1.18
@@ -1,6 +1,10 @@
# ChangeLog for net-mail/imapsync
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/imapsync/ChangeLog,v 1.17 2007/08/30 12:03:25 phreak Exp $
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-mail/imapsync/ChangeLog,v 1.18 2008/06/09 10:37:55 tove Exp $
+
+ 09 Jun 2008; Torsten Veller <tove@g.o> imapsync-1.217.ebuild:
+ Add Digest-HMAC to RDEPEND (#225089). Don't run imapsync during installation
+ to minimize DEPEND.
30 Aug 2007; Christian Heim <phreak@g.o> metadata.xml:
Removing langthang from metadata due to his retirement (see #53239 for
--
gentoo-commits@g.o mailing list
|
|